import request from "@/utils/request";

// 查询噪声数据生成管理列表
export function listPhyNoise(query) {
  return request({
    url: "/dataGen/phyNoise/list",
    method: "get",
    params: query,
  });
}

// 查询噪声数据生成管理详细
export function getPhyNoise(id) {
  return request({
    url: "/dataGen/phyNoise/" + id,
    method: "get",
  });
}

// 新增噪声数据生成管理
export function addPhyNoise(data) {
  return request({
    url: "/dataGen/phyNoise",
    method: "post",
    data: data,
  });
}

// 修改噪声数据生成管理
export function updatePhyNoise(data) {
  return request({
    url: "/dataGen/phyNoise",
    method: "put",
    data: data,
  });
}

// 删除噪声数据生成管理
export function delPhyNoise(id) {
  return request({
    url: "/dataGen/phyNoise/" + id,
    method: "delete",
  });
}

// 噪声模型数据生成getOptions
export function getPhyModelOptions() {
  return request({
    url: "/dataGen/phyNoise/getOptions",
    method: "get",
  });
}
